package de.ivu.elect.presentation.wahllokalsystem.table;

import de.ivu.elect.business.wahllokalsystem.entity.WahllokalsystemStatus;
import de.ivu.elect.business.wahllokalsystem.entity.WahllokalsystemStatusConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.faces.UserLocale;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class WahllokalsystemStatusAnzahlWaehlerColumn extends AbstractWahllokalsystemStatusColumn<WahllokalsystemStatus> {
  private static final long serialVersionUID = 1L;

  private final UserLocale userLocale;

  public WahllokalsystemStatusAnzahlWaehlerColumn(Messages messages, UserLocale userLocale) {
    super("WahllokalsystemStatus-AnzahlWaehler", messages,
        WahllokalsystemStatusConstants.MESSAGE_KEY_ANZAHL_WAEHLER_EINZAHL,
        ColumnType.LONG
        , WahllokalsystemStatus::getAnzahlWaehler);
    this.userLocale = userLocale;
  }

  @Override
  public String getTooltip(WahllokalsystemStatus entity) {
    if (entity.getAnzahlWaehlerZeitpunkt() == null) {
      return super.getTooltip(entity);

    }
    return userLocale.formatDateTime(entity.getAnzahlWaehlerZeitpunkt());
  }
}
